Skip to main content
POST
Create a new function

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
branchId
string
required

Body

application/json

A new custom function to create on a branch.

name
string
required
Minimum string length: 1
description
string
required
code
string
required
parameters
object[]
latencyControl
object

Response

201 - application/json

Created function

Identifiers for a newly created function.

id
string
required
name
string
required
Last modified on November 4, 2026